Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.jdbc
Class DelegatingCallableStatement

    java.lang.Object
      |
      +--com.solarmetric.jdbc.DelegatingCallableStatement

All Implemented Interfaces:
  CallableStatement, com.solarmetric.util.Closeable, PreparedStatement, Statement

public class DelegatingCallableStatement
extends Object
implements CallableStatement, com.solarmetric.util.Closeable

`CallableStatement` that delegates to an internal statement.

Constructor Summary
`DelegatingCallableStatement(CallableStatement stmnt, Connection conn)`

Method Summary
`void` | `addBatch()`
`void` | `addBatch(String str)`
`protected void` | `appendInfo(StringBuffer buf)`
`void` | `cancel()`
`void` | `clearBatch()`
`void` | `clearParameters()`
`void` | `clearWarnings()`
`void` | `close()`
`boolean` | `equals(Object other)`
`boolean` | `execute()`
`boolean` | `execute(String str)`
`boolean` | `execute(String s, int i)`
`boolean` | `execute(String s, int[] ia)`
`boolean` | `execute(String s, String[] sa)`
`int[]` | `executeBatch()`
`ResultSet` | `executeQuery()`
`protected ResultSet` | `executeQuery(boolean wrap)` Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`ResultSet` | `executeQuery(String str)`
`protected ResultSet` | `executeQuery(String sql, boolean wrap)` Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`int` | `executeUpdate()`
`int` | `executeUpdate(String str)`
`int` | `executeUpdate(String s, int i)`
`int` | `executeUpdate(String s, int[] ia)`
`int` | `executeUpdate(String s, String[] sa)`
`Array` | `getArray(int i)`
`Array` | `getArray(String a)`
`BigDecimal` | `getBigDecimal(int i)`
`BigDecimal` | `getBigDecimal(int a, int b)`
`BigDecimal` | `getBigDecimal(String a)`
`Blob` | `getBlob(int i)`
`Blob` | `getBlob(String a)`
`boolean` | `getBoolean(int i)`
`boolean` | `getBoolean(String a)`
`byte` | `getByte(int i)`
`byte` | `getByte(String a)`
`byte[]` | `getBytes(int i)`
`byte[]` | `getBytes(String a)`
`Clob` | `getClob(int i)`
`Clob` | `getClob(String a)`
`Connection` | `getConnection()`
`Date` | `getDate(int i)`
`Date` | `getDate(int i, Calendar c)`
`Date` | `getDate(String a)`
`Date` | `getDate(String a, Calendar b)`
`CallableStatement` | `getDelegate()` Return the wrapped statement.
`double` | `getDouble(int i)`
`double` | `getDouble(String a)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int i)`
`float` | `getFloat(String a)`
`ResultSet` | `getGeneratedKeys()`
`CallableStatement` | `getInnermostDelegate()` Return the base underlying data store statement.
`int` | `getInt(int i)`
`int` | `getInt(String a)`
`long` | `getLong(int i)`
`long` | `getLong(String a)`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`ResultSetMetaData` | `getMetaData()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int i)`
`Object` | `getObject(int i)`
`Object` | `getObject(int i, Map m)`
`Object` | `getObject(String a)`
`Object` | `getObject(String a, Map b)`
`ParameterMetaData` | `getParameterMetaData()`
`int` | `getQueryTimeout()`
`Ref` | `getRef(int i)`
`Ref` | `getRef(String a)`
`ResultSet` | `getResultSet()`
`protected ResultSet` | `getResultSet(boolean wrap)` Get the last result set, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`short` | `getShort(int i)`
`short` | `getShort(String a)`
`String` | `getString(int i)`
`String` | `getString(String a)`
`Time` | `getTime(int i)`
`Time` | `getTime(int i, Calendar c)`
`Time` | `getTime(String a)`
`Time` | `getTime(String a, Calendar b)`
`Timestamp` | `getTimestamp(int i)`
`Timestamp` | `getTimestamp(int i, Calendar c)`
`Timestamp` | `getTimestamp(String a)`
`Timestamp` | `getTimestamp(String a, Calendar b)`
`int` | `getUpdateCount()`
`URL` | `getURL(int i)`
`URL` | `getURL(String a)`
`SQLWarning` | `getWarnings()`
`int` | `hashCode()`
`void` | `registerOutParameter(int i1, int i2)`
`void` | `registerOutParameter(int i1, int i2, int i3)`
`void` | `registerOutParameter(int i1, int i2, String s)`
`void` | `registerOutParameter(String s, int i)`
`void` | `registerOutParameter(String s, int i1, int i2)`
`void` | `registerOutParameter(String s1, int i, String s2)`
`void` | `setArray(int i, Array a)`
`void` | `setAsciiStream(int i1, InputStream is, int i2)`
`void` | `setAsciiStream(String a, InputStream b, int c)`
`void` | `setBigDecimal(int i, BigDecimal bd)`
`void` | `setBigDecimal(String a, BigDecimal b)`
`void` | `setBinaryStream(int i1, InputStream is, int i2)`
`void` | `setBinaryStream(String a, InputStream b, int c)`
`void` | `setBlob(int i, Blob b)`
`void` | `setBoolean(int i, boolean b)`
`void` | `setBoolean(String a, boolean b)`
`void` | `setByte(int i, byte b)`
`void` | `setByte(String a, byte b)`
`void` | `setBytes(int i, byte[] b)`
`void` | `setBytes(String a, byte[] b)`
`void` | `setCharacterStream(int i1, Reader r, int i2)`
`void` | `setCharacterStream(String a, Reader b, int c)`
`void` | `setClob(int i, Clob c)`
`void` | `setCursorName(String str)`
`void` | `setDate(int i, Date d)`
`void` | `setDate(int i, Date d, Calendar c)`
`void` | `setDate(String a, Date b)`
`void` | `setDate(String a, Date b, Calendar c)`
`void` | `setDouble(int i, double d)`
`void` | `setDouble(String a, double b)`
`void` | `setEscapeProcessing(boolean bool)`
`void` | `setFetchDirection(int i)`
`void` | `setFetchSize(int i)`
`void` | `setFloat(int i, float f)`
`void` | `setFloat(String a, float b)`
`void` | `setInt(int i1, int i2)`
`void` | `setInt(String a, int b)`
`void` | `setLong(int i, long l)`
`void` | `setLong(String a, long b)`
`void` | `setMaxFieldSize(int i)`
`void` | `setMaxRows(int i)`
`void` | `setNull(int i1, int i2)`
`void` | `setNull(int i1, int i2, String s)`
`void` | `setNull(String a, int b)`
`void` | `setNull(String a, int b, String c)`
`void` | `setObject(int i, Object o)`
`void` | `setObject(int i1, Object o, int i2)`
`void` | `setObject(int i1, Object o, int i2, int i3)`
`void` | `setObject(String a, Object b)`
`void` | `setObject(String a, Object b, int c)`
`void` | `setObject(String a, Object b, int c, int d)`
`void` | `setQueryTimeout(int i)`
`void` | `setRef(int i, Ref r)`
`void` | `setShort(int i, short s)`
`void` | `setShort(String a, short b)`
`void` | `setString(int i, String s)`
`void` | `setString(String a, String b)`
`void` | `setTime(int i, Time t)`
`void` | `setTime(int i, Time t, Calendar c)`
`void` | `setTime(String a, Time b)`
`void` | `setTime(String a, Time b, Calendar c)`
`void` | `setTimestamp(int i, Timestamp t)`
`void` | `setTimestamp(int i, Timestamp t, Calendar c)`
`void` | `setTimestamp(String a, Timestamp b)`
`void` | `setTimestamp(String a, Timestamp b, Calendar c)`
`void` | `setUnicodeStream(int i1, InputStream is, int i2)`
`void` | `setURL(int i, URL url)`
`void` | `setURL(String a, URL b)`
`String` | `toString()`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingCallableStatement

    public DelegatingCallableStatement(CallableStatement stmnt,
                                       Connection conn)

Method Detail

### getDelegate

    public CallableStatement getDelegate()

  Return the wrapped statement.

### getInnermostDelegate

    public CallableStatement getInnermostDelegate()

  Return the base underlying data store statement.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### appendInfo

    protected void appendInfo(StringBuffer buf)

### executeQuery

    public ResultSet executeQuery(String str)
                           throws SQLException

  Specified by:
    `executeQuery` in interface `Statement`

### executeQuery

    protected ResultSet executeQuery(String sql,
                                     boolean wrap)
                              throws SQLException

  Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

### executeUpdate

    public int executeUpdate(String str)
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `Statement`

### execute

    public boolean execute(String str)
                    throws SQLException

  Specified by:
    `execute` in interface `Statement`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Statement`

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  Specified by:
    `getMaxFieldSize` in interface `Statement`

### setMaxFieldSize

    public void setMaxFieldSize(int i)
                         throws SQLException

  Specified by:
    `setMaxFieldSize` in interface `Statement`

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  Specified by:
    `getMaxRows` in interface `Statement`

### setMaxRows

    public void setMaxRows(int i)
                    throws SQLException

  Specified by:
    `setMaxRows` in interface `Statement`

### setEscapeProcessing

    public void setEscapeProcessing(boolean bool)
                             throws SQLException

  Specified by:
    `setEscapeProcessing` in interface `Statement`

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  Specified by:
    `getQueryTimeout` in interface `Statement`

### setQueryTimeout

    public void setQueryTimeout(int i)
                         throws SQLException

  Specified by:
    `setQueryTimeout` in interface `Statement`

### cancel

    public void cancel()
                throws SQLException

  Specified by:
    `cancel` in interface `Statement`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Statement`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Statement`

### setCursorName

    public void setCursorName(String str)
                       throws SQLException

  Specified by:
    `setCursorName` in interface `Statement`

### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

  Specified by:
    `getResultSet` in interface `Statement`

### getResultSet

    protected ResultSet getResultSet(boolean wrap)
                              throws SQLException

  Get the last result set, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

  Specified by:
    `getUpdateCount` in interface `Statement`

### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

  Specified by:
    `getMoreResults` in interface `Statement`

### setFetchDirection

    public void setFetchDirection(int i)
                           throws SQLException

  Specified by:
    `setFetchDirection` in interface `Statement`

### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

  Specified by:
    `getFetchDirection` in interface `Statement`

### setFetchSize

    public void setFetchSize(int i)
                      throws SQLException

  Specified by:
    `setFetchSize` in interface `Statement`

### getFetchSize

    public int getFetchSize()
                     throws SQLException

  Specified by:
    `getFetchSize` in interface `Statement`

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

  Specified by:
    `getResultSetConcurrency` in interface `Statement`

### getResultSetType

    public int getResultSetType()
                         throws SQLException

  Specified by:
    `getResultSetType` in interface `Statement`

### addBatch

    public void addBatch(String str)
                  throws SQLException

  Specified by:
    `addBatch` in interface `Statement`

### clearBatch

    public void clearBatch()
                    throws SQLException

  Specified by:
    `clearBatch` in interface `Statement`

### executeBatch

    public int[] executeBatch()
                       throws SQLException

  Specified by:
    `executeBatch` in interface `Statement`

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `Statement`

### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

  Specified by:
    `executeQuery` in interface `PreparedStatement`

### executeQuery

    protected ResultSet executeQuery(boolean wrap)
                              throws SQLException

  Execute the query, with the option of not wrapping it in a `DelegatingResultSet`, which is the default.

### executeUpdate

    public int executeUpdate()
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `PreparedStatement`

### setNull

    public void setNull(int i1,
                        int i2)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`

### setBoolean

    public void setBoolean(int i,
                           boolean b)
                    throws SQLException

  Specified by:
    `setBoolean` in interface `PreparedStatement`

### setByte

    public void setByte(int i,
                        byte b)
                 throws SQLException

  Specified by:
    `setByte` in interface `PreparedStatement`

### setShort

    public void setShort(int i,
                         short s)
                  throws SQLException

  Specified by:
    `setShort` in interface `PreparedStatement`

### setInt

    public void setInt(int i1,
                       int i2)
                throws SQLException

  Specified by:
    `setInt` in interface `PreparedStatement`

### setLong

    public void setLong(int i,
                        long l)
                 throws SQLException

  Specified by:
    `setLong` in interface `PreparedStatement`

### setFloat

    public void setFloat(int i,
                         float f)
                  throws SQLException

  Specified by:
    `setFloat` in interface `PreparedStatement`

### setDouble

    public void setDouble(int i,
                          double d)
                   throws SQLException

  Specified by:
    `setDouble` in interface `PreparedStatement`

### setBigDecimal

    public void setBigDecimal(int i,
                              BigDecimal bd)
                       throws SQLException

  Specified by:
    `setBigDecimal` in interface `PreparedStatement`

### setString

    public void setString(int i,
                          String s)
                   throws SQLException

  Specified by:
    `setString` in interface `PreparedStatement`

### setBytes

    public void setBytes(int i,
                         byte[] b)
                  throws SQLException

  Specified by:
    `setBytes` in interface `PreparedStatement`

### setDate

    public void setDate(int i,
                        Date d)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`

### setTime

    public void setTime(int i,
                        Time t)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`

### setAsciiStream

    public void setAsciiStream(int i1,
                               InputStream is,
                               int i2)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`

### setUnicodeStream

    public void setUnicodeStream(int i1,
                                 InputStream is,
                                 int i2)
                          throws SQLException

  Specified by:
    `setUnicodeStream` in interface `PreparedStatement`

### setBinaryStream

    public void setBinaryStream(int i1,
                                InputStream is,
                                int i2)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`

### clearParameters

    public void clearParameters()
                         throws SQLException

  Specified by:
    `clearParameters` in interface `PreparedStatement`

### setObject

    public void setObject(int i1,
                          Object o,
                          int i2,
                          int i3)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`

### setObject

    public void setObject(int i1,
                          Object o,
                          int i2)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`

### setObject

    public void setObject(int i,
                          Object o)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`

### execute

    public boolean execute()
                    throws SQLException

  Specified by:
    `execute` in interface `PreparedStatement`

### addBatch

    public void addBatch()
                  throws SQLException

  Specified by:
    `addBatch` in interface `PreparedStatement`

### setCharacterStream

    public void setCharacterStream(int i1,
                                   Reader r,
                                   int i2)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`

### setRef

    public void setRef(int i,
                       Ref r)
                throws SQLException

  Specified by:
    `setRef` in interface `PreparedStatement`

### setBlob

    public void setBlob(int i,
                        Blob b)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`

### setClob

    public void setClob(int i,
                        Clob c)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`

### setArray

    public void setArray(int i,
                         Array a)
                  throws SQLException

  Specified by:
    `setArray` in interface `PreparedStatement`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `PreparedStatement`

### setDate

    public void setDate(int i,
                        Date d,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`

### setTime

    public void setTime(int i,
                        Time t,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t,
                             Calendar c)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`

### setNull

    public void setNull(int i1,
                        int i2,
                        String s)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`

### getMoreResults

    public boolean getMoreResults(int i)
                           throws SQLException

### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             int i)
                      throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             int[] ia)
                      throws SQLException

### executeUpdate

    public int executeUpdate(String s,
                             String[] sa)
                      throws SQLException

### execute

    public boolean execute(String s,
                           int i)
                    throws SQLException

### execute

    public boolean execute(String s,
                           int[] ia)
                    throws SQLException

### execute

    public boolean execute(String s,
                           String[] sa)
                    throws SQLException

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

### setURL

    public void setURL(int i,
                       URL url)
                throws SQLException

### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

### registerOutParameter

    public void registerOutParameter(int i1,
                                     int i2)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`

### registerOutParameter

    public void registerOutParameter(int i1,
                                     int i2,
                                     int i3)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`

### wasNull

    public boolean wasNull()
                    throws SQLException

  Specified by:
    `wasNull` in interface `CallableStatement`

### getString

    public String getString(int i)
                     throws SQLException

  Specified by:
    `getString` in interface `CallableStatement`

### getBoolean

    public boolean getBoolean(int i)
                       throws SQLException

  Specified by:
    `getBoolean` in interface `CallableStatement`

### getByte

    public byte getByte(int i)
                 throws SQLException

  Specified by:
    `getByte` in interface `CallableStatement`

### getShort

    public short getShort(int i)
                   throws SQLException

  Specified by:
    `getShort` in interface `CallableStatement`

### getInt

    public int getInt(int i)
               throws SQLException

  Specified by:
    `getInt` in interface `CallableStatement`

### getLong

    public long getLong(int i)
                 throws SQLException

  Specified by:
    `getLong` in interface `CallableStatement`

### getFloat

    public float getFloat(int i)
                   throws SQLException

  Specified by:
    `getFloat` in interface `CallableStatement`

### getDouble

    public double getDouble(int i)
                     throws SQLException

  Specified by:
    `getDouble` in interface `CallableStatement`

### getBigDecimal

    public BigDecimal getBigDecimal(int a,
                                    int b)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `CallableStatement`

### getBytes

    public byte[] getBytes(int i)
                    throws SQLException

  Specified by:
    `getBytes` in interface `CallableStatement`

### getDate

    public Date getDate(int i)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`

### getTime

    public Time getTime(int i)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`

### getTimestamp

    public Timestamp getTimestamp(int i)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`

### getObject

    public Object getObject(int i)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`

### getBigDecimal

    public BigDecimal getBigDecimal(int i)
                             throws SQLException

  Specified by:
    `getBigDecimal` in interface `CallableStatement`

### getObject

    public Object getObject(int i,
                            Map m)
                     throws SQLException

  Specified by:
    `getObject` in interface `CallableStatement`

### getRef

    public Ref getRef(int i)
               throws SQLException

  Specified by:
    `getRef` in interface `CallableStatement`

### getBlob

    public Blob getBlob(int i)
                 throws SQLException

  Specified by:
    `getBlob` in interface `CallableStatement`

### getClob

    public Clob getClob(int i)
                 throws SQLException

  Specified by:
    `getClob` in interface `CallableStatement`

### getArray

    public Array getArray(int i)
                   throws SQLException

  Specified by:
    `getArray` in interface `CallableStatement`

### getDate

    public Date getDate(int i,
                        Calendar c)
                 throws SQLException

  Specified by:
    `getDate` in interface `CallableStatement`

### getTime

    public Time getTime(int i,
                        Calendar c)
                 throws SQLException

  Specified by:
    `getTime` in interface `CallableStatement`

### getTimestamp

    public Timestamp getTimestamp(int i,
                                  Calendar c)
                           throws SQLException

  Specified by:
    `getTimestamp` in interface `CallableStatement`

### registerOutParameter

    public void registerOutParameter(int i1,
                                     int i2,
                                     String s)
                              throws SQLException

  Specified by:
    `registerOutParameter` in interface `CallableStatement`

### registerOutParameter

    public void registerOutParameter(String s,
                                     int i)
                              throws SQLException

### registerOutParameter

    public void registerOutParameter(String s,
                                     int i1,
                                     int i2)
                              throws SQLException

### registerOutParameter

    public void registerOutParameter(String s1,
                                     int i,
                                     String s2)
                              throws SQLException

### getURL

    public URL getURL(int i)
               throws SQLException

### setURL

    public void setURL(String a,
                       URL b)
                throws SQLException

### getURL

    public URL getURL(String a)
               throws SQLException

### setNull

    public void setNull(String a,
                        int b)
                 throws SQLException

### setBoolean

    public void setBoolean(String a,
                           boolean b)
                    throws SQLException

### setByte

    public void setByte(String a,
                        byte b)
                 throws SQLException

### setShort

    public void setShort(String a,
                         short b)
                  throws SQLException

### setInt

    public void setInt(String a,
                       int b)
                throws SQLException

### setLong

    public void setLong(String a,
                        long b)
                 throws SQLException

### setFloat

    public void setFloat(String a,
                         float b)
                  throws SQLException

### setDouble

    public void setDouble(String a,
                          double b)
                   throws SQLException

### setBigDecimal

    public void setBigDecimal(String a,
                              BigDecimal b)
                       throws SQLException

### setString

    public void setString(String a,
                          String b)
                   throws SQLException

### setBytes

    public void setBytes(String a,
                         byte[] b)
                  throws SQLException

### setDate

    public void setDate(String a,
                        Date b)
                 throws SQLException

### setTime

    public void setTime(String a,
                        Time b)
                 throws SQLException

### setTimestamp

    public void setTimestamp(String a,
                             Timestamp b)
                      throws SQLException

### setAsciiStream

    public void setAsciiStream(String a,
                               InputStream b,
                               int c)
                        throws SQLException

### setBinaryStream

    public void setBinaryStream(String a,
                                InputStream b,
                                int c)
                         throws SQLException

### setObject

    public void setObject(String a,
                          Object b,
                          int c,
                          int d)
                   throws SQLException

### setObject

    public void setObject(String a,
                          Object b,
                          int c)
                   throws SQLException

### setObject

    public void setObject(String a,
                          Object b)
                   throws SQLException

### setCharacterStream

    public void setCharacterStream(String a,
                                   Reader b,
                                   int c)
                            throws SQLException

### setDate

    public void setDate(String a,
                        Date b,
                        Calendar c)
                 throws SQLException

### setTime

    public void setTime(String a,
                        Time b,
                        Calendar c)
                 throws SQLException

### setTimestamp

    public void setTimestamp(String a,
                             Timestamp b,
                             Calendar c)
                      throws SQLException

### setNull

    public void setNull(String a,
                        int b,
                        String c)
                 throws SQLException

### getString

    public String getString(String a)
                     throws SQLException

### getBoolean

    public boolean getBoolean(String a)
                       throws SQLException

### getByte

    public byte getByte(String a)
                 throws SQLException

### getShort

    public short getShort(String a)
                   throws SQLException

### getInt

    public int getInt(String a)
               throws SQLException

### getLong

    public long getLong(String a)
                 throws SQLException

### getFloat

    public float getFloat(String a)
                   throws SQLException

### getDouble

    public double getDouble(String a)
                     throws SQLException

### getBytes

    public byte[] getBytes(String a)
                    throws SQLException

### getDate

    public Date getDate(String a)
                 throws SQLException

### getTime

    public Time getTime(String a)
                 throws SQLException

### getTimestamp

    public Timestamp getTimestamp(String a)
                           throws SQLException

### getObject

    public Object getObject(String a)
                     throws SQLException

### getBigDecimal

    public BigDecimal getBigDecimal(String a)
                             throws SQLException

### getObject

    public Object getObject(String a,
                            Map b)
                     throws SQLException

### getRef

    public Ref getRef(String a)
               throws SQLException

### getBlob

    public Blob getBlob(String a)
                 throws SQLException

### getClob

    public Clob getClob(String a)
                 throws SQLException

### getArray

    public Array getArray(String a)
                   throws SQLException

### getDate

    public Date getDate(String a,
                        Calendar b)
                 throws SQLException

### getTime

    public Time getTime(String a,
                        Calendar b)
                 throws SQLException

### getTimestamp

    public Timestamp getTimestamp(String a,
                                  Calendar b)
                           throws SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.